compact1, compact2, compact3
java.lang

## Class TypeNotPresentException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.TypeNotPresentException

- All Implemented Interfaces:
    Serializable

      public class TypeNotPresentException
      extends RuntimeException

  Thrown when an application tries to access a type using a string representing the type's name, but no definition for the type with the specified name can be found. This exception differs from `ClassNotFoundException` in that `ClassNotFoundException` is a checked exception, whereas this exception is unchecked.

  Note that this exception may be used when undefined type variables are accessed as well as when types (e.g., classes, interfaces or annotation types) are loaded. In particular, this exception can be thrown by the API used to read annotations reflectively.

  Since:
    1.5
  See Also:
    `AnnotatedElement`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TypeNotPresentException(String typeName, Throwable cause)` | Constructs a `TypeNotPresentException` for the named type with the specified cause.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `typeName()` | Returns the fully qualified name of the unavailable type.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TypeNotPresentException

          public TypeNotPresentException(String typeName,
                                         Throwable cause)

      Constructs a `TypeNotPresentException` for the named type with the specified cause.
      Parameters:
        `typeName` - the fully qualified name of the unavailable type
        `cause` - the exception that was thrown when the system attempted to load the named type, or `null` if unavailable or inapplicable

  - ### Method Detail

    - #### typeName

          public String typeName()

      Returns the fully qualified name of the unavailable type.
      Returns:
        the fully qualified name of the unavailable type

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.